Skip to main content
POST
Connect a GitHub repository

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

shopId
string
required

Shop ID (ObjectId)

Body

application/json
repo
string
required
Pattern: ^[A-Za-z0-9_.-]{1,100}\/[A-Za-z0-9_.-]{1,100}$
Example:

"acme/shop-site"

branch
string
required
Required string length: 1 - 200
Example:

"main"

mode
enum<string>

Omitted: token when token is given, otherwise app with a verified installation that can see the repo.

Available options:
app,
token
autoDeploy
boolean
installationId
number

App mode: installation id verified via /git/install

Required range: x >= 1
token
string

Token mode: fine-grained PAT

Required string length: 20 - 255
Pattern: ^(github_pat_|ghp_)[A-Za-z0-9_]+$

Response

OK

success
boolean
Example:

true

data
object
message
string